<?php

namespace Plugin\feedback\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagefeedbackController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phpdata=ajaxadminController::getlistmessages($request);

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]);
    }
}