<?= $this->fetch('/guide/view/user/header.php') ?>

<div class="uk-section" style="margin-bottom: 200px;">
    <div class="uk-container">
        <div class="uk-position-top-left uk-visible@m" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; z-index: -1;"></div>
        <div uk-grid>
            <div class="uk-width-1-5@m">
                <ul class="uk-flex-center uk-tab-left" uk-tab="connect: #tabcontent; animation: uk-animation-slide-left-medium, uk-animation-slide-right-medium, swiping: false;">
                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-earth.svg" alt="" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Development') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Development') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-logo.svg" alt="" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Logo') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Logo') ?>"></span>
                    </a></li>
                </ul>
            </div>

            <div class="uk-width-expand@m">
                <ul id="tabcontent" class="uk-switcher">
                    <li>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Development') ?></h1>
                        <hr class="uk-divider-icon ang-margin-bottom50">
                        <div class="uk-grid-large uk-grid-match uk-grid-divider uk-child-width-1-2@s uk-text-center" uk-grid>
                            <div class="uk-position-relative">
                                <div class="uk-card uk-card-default uk-card-hover ang-padding30">
                                    <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Community') ?></h2>
                                    <!-- <p class="uk-text-default uk-text-justify"><?= sprintf(__('%s can develop better if you join community on %s or %s.'), '<span class="uk-text-success">Angiv CMF</span>', '<a href="https://github.com/angivcmf/angivcmf" target="_blank">GitHub</a>', '<a href="https://gitter.im/angivcmf/community" target="_blank">Gitter chat</a>') ?></p> -->
                                    <p class="uk-text-default uk-text-justify"><?= sprintf(__('%s can develop better if you join community on %s.'), '<span class="uk-text-success">Angiv CMF</span>', '<a href="https://github.com/angivcmf/angivcmf" target="_blank">GitHub</a>') ?></p>
                                </div>
                            </div>

                            <div class="uk-position-relative"><!-- style="margin: 0 auto;" -->
                                <div class="uk-card uk-card-default uk-card-hover ang-padding30">
                                    <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Get in touch') ?></h2>
                                    <p class="uk-text-default uk-text-justify"><?= sprintf(__('Everyone can contribute to development %s, if you have a suggestion or want to report an issue then send an email on %s. Thank you!'), '<span class="uk-text-success">Angiv CMF</span>', '<span class="uk-text-success">support@angiv.ru</span>') ?></p>
                                </div>
                            </div>
                        </div>
                    </li>

                    <li>
                        <h1 class="uk-text-center ang-margin-bottom50"><?= __('Logo') ?></h1>
                        <div class="uk-grid-medium uk-grid-match uk-child-width-1-2 ang-margin-bottom50" uk-grid>
                            <div class="uk-position-relative">
                                <a href="/app/asset/image/theme/logo.contrast.png" target="_blank" class="uk-card uk-card-default uk-card-hover uk-text-center ang-padding50">
                                    <img src="/app/asset/image/theme/logo.contrast.png" alt="Angiv" />
                                </a>
                            </div>

                            <div class="uk-position-relative">
                                <a href="/app/asset/image/theme/logo.png" target="_blank" class="uk-card uk-card-secondary uk-card-hover uk-text-center ang-padding50">
                                    <img src="/app/asset/image/theme/logo.png" alt="Angiv" />
                                </a>
                            </div>

                            <div class="uk-position-relative">
                                <a href="/app/asset/image/theme/logo.short.contrast.png" target="_blank" class="uk-card uk-card-default uk-card-hover uk-text-center ang-padding50">
                                    <img src="/app/asset/image/theme/logo.short.contrast.png" alt="Angiv" />
                                </a>
                            </div>

                            <div class="uk-position-relative">
                                <a href="/app/asset/image/theme/logo.short.png" target="_blank" class="uk-card uk-card-secondary uk-card-hover uk-text-center ang-padding50">
                                    <img src="/app/asset/image/theme/logo.short.png" alt="Angiv" />
                                </a>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<?= $this->fetch('/feedback/view/user/widgetfeedback.php') ?>