<?php

return [
    'name' => 'Hello World',
    'icon' => 'icon.png',
    'version' => 0.1,
    //'tags' => ['nohome', 'alwaysuse', 'nodelete'],
    'scriptdatabase' => 'scriptdatabase.php',

    'cssadmin' => [],
    'jsadmin' => [],
    'ajaxadmin' => ['src/controller/admin/ajaxadminController.php'],
    'pagesadmin' => [
        [
            'title' => 'Page vue',
            'url' => 'adminpagevue',
            'controller' => 'src/controller/admin/pagevueController.php',
            'page' => 'view/admin/pagevue.php',
            'css' => [],
            'js' => [
                ['type' => 'module', 'src' => 'js/admin/pagevue.js']
            ]
        ],

        [
            'title' => 'Page json',
            'url' => 'adminpagejson[/{urlparams:.*}]',
            'controller' => 'src/controller/admin/pagejsonController.php'
        ],

        [
            'title' => 'Page simple',
            'url' => 'adminpagesimple',
            'controller' => 'src/controller/admin/pagesimpleController.php',
            'page' => 'view/admin/pagesimple.php'
        ],

        [
            'title' => 'Page database',
            'url' => 'adminpagedatabase',
            'controller' => 'src/controller/admin/pagedatabaseController.php',
            'page' => 'view/admin/pagedatabase.php'
        ],

        [
            'title' => 'Page mail',
            'url' => 'adminpagemail',
            'controller' => 'src/controller/admin/pagemailController.php',
            'page' => 'view/admin/pagemail.php',
            'css' => [
                '/system/animate/css/animate.min.css'
            ],
            'js' => [
                '/system/animate/js/animate.js',
                '/system/validator/validator.min.js',
                'js/admin/pagemail.js'
            ]
        ]
    ],

    'cssuser' => [],
    'jsuser' => [],
    'ajaxuser' => ['src/controller/user/ajaxuserController.php'],
    'pagesuser' => [
        [
            'title' => 'Page uikit',
            'url' => 'userpageuikit',
            'controller' => 'src/controller/user/pageuikitController.php',
            'page' => 'view/user/pageuikit.php',
            //'access' => ['auth', 'hello_page_view'],
            'css' => [
                '/system/uikit/css/uikit.min.css',
                '/system/uikit/css/uikit-advanced.css',
                '/system/izitoast/css/izitoast.min.css',
                '/system/izitoast/css/izitoast-advanced.css',
                '/custom/lightgallery/css/lightgallery.css',
                '/custom/lightgallery/css/lg-zoom.css',
                '/custom/lightgallery/css/lg-thumbnail.css',
                //'/test.css',
                //'css/user/test.css'
            ],
            'js' => [
                '/system/jquery/jquery.min.js',
                '/system/uikit/js/uikit.min.js',
                '/system/uikit/js/uikit-icons.min.js',
                '/system/uikit/js/uikit-advanced.js',
                '/system/axios/axios.min.js',
                '/system/axios/axios-advanced.js',
                '/system/izitoast/js/izitoast.min.js',
                '/custom/lightgallery/js/lightgallery.min.js',
                '/custom/lightgallery/js/lg-thumbnail.min.js',
                '/custom/lightgallery/js/lg-zoom.min.js',
                //'/test.js',
                'js/user/pageuikit.js'
            ],
            'seo' => [
                'description' => 'Test page Angiv cmf',
                'keywords' => 'angiv, cmf, angiv cmf, test page angiv cmf',
                'canonicalurl' => 'https://angiv.ru/userpageuikit'
            ],
            'ogseo' => [
                'ogsitename' => 'Angiv cmf sample page',
                'ogdescription' => 'Test page Angiv cmf',
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru/userpageuikit',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ],

        [
            'title' => 'Page json',
            'url' => 'userpagejson[/{param1}[/{param2}]]',
            'controller' => 'src/controller/user/pagejsonController.php'
        ]
    ]
];