<?php

namespace Plugin\hello;

use Slim\Psr7\Response;
use App\response\customResponse;

class scriptdatabase
{
    public static function executescriptdatabase(Response $response) {
        $res=false; $msg='';

        if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
            $tablename=str_replace('"', '', $db->tableQuote('hello'));
            //$tablename=env('APP_DATABASE_PREFIX', 'ang_') . 'hello';
            if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() === false) {
                //$db->drop('hello');
                $db->create('hello', [
                    'id' => ['integer', 'unsigned', 'auto_increment', 'not null', "comment 'id client'"],
                    'name' => ['varchar(255)', 'not null', 'collate utf8mb4_general_ci', "comment 'name'"],
                    'age' => ['integer', 'unsigned', 'default null', "comment 'age'"],
                    'primary key (<id>)',
                    'unique (<name>)',
                    'index (<age>)'
                ]);
                $res=true;
            } else {$msg=sprintf(__('Table "%s" already exists'), $tablename);}
        } else {$msg=__('Connection to database failed');}

        return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
    }
}