<?php

namespace Plugin\hello\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;
use App\response\customResponse;

class pagejsonController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response, $urlparams = '') {
        $logger=$this->container->get('logger');
        $logger->info('admin pagejsonController ' . __('successfully completed'));

        $res=[
            'Example url' => '.../hello/adminpagejson/urlparams?key1=val1&key2=val2',
            'Controller' => 'admin pagejsonController',
            'Url params' => $urlparams,
            'Query params' => $request->getQueryParams(),
            'Log file status' => __('Admin record created successfully')
        ];

        return customResponse::json($response, $res);

        /*
        $response->getBody()->write('<p>Example url: .../hello/adminpagejson/example1/example2?key1=val1&key2=val2</p>');
        $response->getBody()->write('<p>Controller:  admin pagejsonController</p>');
        $response->getBody()->write('<p>Url params: ' . $urlparams . '</p>');
        $response->getBody()->write('<p>Query params: ' . implode('|', $request->getQueryParams()) . '</p>');
        $response->getBody()->write(sprintf('<p>%s: %s</p>', __('Log file status'), __('Admin record created successfully')));

        return $response;
        */
    }
}