<div v-cloak>
    <h3 class="uk-text-center">{{ $t('Roles') }}</h3>

    <div class="uk-overflow-auto">
        <table class="uk-table uk-table-divider uk-table-hover uk-table-small uk-table-middle uk-margin-remove">
            <thead>
                <tr>
                    <th class="uk-table-shrink uk-text-center">{{ $t('Role') }}</th>
                    <th class="uk-table-expand uk-text-center">{{ $t('Users') }}</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td class="uk-text-center uk-alert-warning" colspan="2">
                        <i class="ang-margin-right5" uk-icon="tag"></i>
                        {{ $t('Roles') }} <span class="uk-badge uk-label-warning">&ldquo;/angiv/config/config.env&rdquo;</span>
                    </td>
                </tr>
                <tr v-if="(!rolesenv || rolesenv.length == 0)">
                    <td class="uk-text-center" colspan="2">{{ $t('No data available') }}</td>
                </tr>
                <tr v-for="(role, index1) in rolesenv" v-else>
                    <td>
                        <b>{{ index1 }}</b>
                        </td>

                    <td>
                        <span class="uk-badge ang-margin-right3" v-for="user in role">{{ user }}</span>
                    </td>
                </tr>

                <template v-if="(databaseuse === true)">
                    <tr>
                        <td class="uk-text-center uk-alert-warning" colspan="2">
                            <i class="ang-margin-right5" uk-icon="tag"></i>
                            {{ $t('Roles') }} <span class="uk-badge uk-label-warning">{{ $t('database') }}</span>
                        </td>
                    </tr>
                    <tr v-if="(!rolesdb || rolesdb.length == 0)">
                        <td class="uk-text-center" colspan="2">{{ $t('No data available') }}</td>
                    </tr>
                    <tr v-for="(role, index1) in rolesdb" v-else>
                        <td>
                            <b>{{ index1 }}</b>
                        </td>

                        <td>
                            <span class="uk-badge ang-margin-right3" v-for="user in role">{{ user }}</span>
                        </td>
                    </tr>
                </template>
            </tbody>
        </table>
    </div>
</div>