--
-- База данных: `angiv`
--

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

-- --------------------------------------------------------

--
-- Таблицы
--

CREATE TABLE `ang_feedback` (
  `id` int UNSIGNED NOT NULL COMMENT 'id message',
  `petitioner` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'petitioner',
  `datecreate` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'date creat',
  `messagetext` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'message text'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

INSERT INTO `ang_feedback` (`id`, `petitioner`, `datecreate`, `messagetext`) VALUES
(1, 'admin', '2024-03-25 11:34:30', 'Test message.');

-- --------------------------------------------------------

CREATE TABLE `ang_hello` (
  `id` int UNSIGNED NOT NULL COMMENT 'id client',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'name',
  `age` int UNSIGNED DEFAULT NULL COMMENT 'age'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

INSERT INTO `ang_hello` (`id`, `name`, `age`) VALUES
(1, 'Name 1', NULL),
(2, 'Name 2', 20),
(3, 'Name 3', NULL);

-- --------------------------------------------------------

CREATE TABLE `ang_users` (
  `id` int UNSIGNED NOT NULL COMMENT 'id user',
  `login` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'login',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'password',
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT 'email',
  `roles` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci COMMENT 'role'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

INSERT INTO `ang_users` (`id`, `login`, `password`, `email`, `roles`) VALUES
(1, 'user1', '$2y$10$59m55tfka4hb0jcFLNHfMeFP/gOjbH.ubgKwDjxo9TDYdoRlBvybe', 'user1@mail.ru', 'test, control_panel, hello_page_view');

-- --------------------------------------------------------

--
-- Индексы
--

ALTER TABLE `ang_feedback`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `ang_hello`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `name` (`name`),
  ADD KEY `age` (`age`);

ALTER TABLE `ang_users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `login` (`login`);

-- --------------------------------------------------------

--
-- Auto_INCREMENT ндексы
--

ALTER TABLE `ang_feedback`
  MODIFY `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id message', AUTO_INCREMENT=2;

ALTER TABLE `ang_hello`
  MODIFY `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id client', AUTO_INCREMENT=4;

ALTER TABLE `ang_users`
  MODIFY `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id user', AUTO_INCREMENT=2;

-- --------------------------------------------------------

COMMIT;