<?php

namespace Plugin\feedback;

use Slim\Psr7\Response;
use App\response\customResponse;

class scriptdatabase
{
    public static function executescriptdatabase(Response $response) {
        $res=false; $msg='';

        if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
            $tablename=str_replace('"', '', $db->tableQuote('feedback'));
            if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() === false) {
                $db->create('feedback', [
                    'id' => ['integer', 'unsigned', 'auto_increment', 'not null', "comment 'id message'"],
                    'petitioner' => ['varchar(64)', 'default null', 'collate utf8mb4_general_ci', "comment 'petitioner'"],
                    'datecreate' => ['datetime', 'not null', 'default CURRENT_TIMESTAMP', "comment 'date creat'"],
                    'messagetext' => ['longtext', 'default null', 'collate utf8mb4_general_ci', "comment 'message text'"],
                    'primary key (<id>)'
                ]);
                $res=true;
            } else {$msg=sprintf(__('Table "%s" already exists'), $tablename);}
        } else {$msg=__('Connection to database failed');}

        return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
    }
}