<?php

namespace Plugin\guide\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagecomplicityController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $renderer=$this->container->get('viewuser');
        return $renderer->render($response, $renderer->getAttribute('currentpage'));
    }
}