<?= $this->fetch('/guide/view/user/header.php') ?>

<div class="uk-section">
    <div class="uk-container" style="max-width: 800px;">
        <div class="uk-position-top-left" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; z-index: -1;"></div>
        <h1 class="uk-text-center ang-margin-top-remove ang-margin-bottom30"><?= __('Latest news') ?></h1>
        <hr class="uk-divider-icon">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('New release of Angiv CMF') ?></h2>
            <span class="uk-badge">25.03.2024</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Updating the main system files.')) ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('New version of Angiv CMF') ?> 0.4</h2>
            <span class="uk-badge">20.06.2023</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Updating the main system files.')) ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Email') ?></h2>
            <span class="uk-badge">24.10.2022</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Added php library %s for creating emails.'), '<span class="uk-text-success">Symfony Mailer</span>') ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Access rights') ?></h2>
            <span class="uk-badge">10.10.2022</span>
            <p class="uk-text-default uk-text-justify"><?= __('Blocking by IP address. Role-based access control.') ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('SQL database') ?></h2>
            <span class="uk-badge">11.05.2022</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Added php-library %s for convenient and fast work with database.'), '<span class="uk-text-success">Medoo</span>') ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Authorization Angiv CMF') ?></h2>
            <span class="uk-badge">20.03.2022</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Added %s functionality.'), '<span class="uk-text-success">JWT authorization</span>') ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Release Alpha version Angiv CMF') ?></h2>
            <span class="uk-badge">02.02.2022</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Work on first version %1$s has been completed today. Using very modest resources and knowledge, it took 240 days to announce first release %1$s.'), '<span class="uk-text-success">Angiv CMF</span>') ?></p>
            <p class="uk-text-default uk-text-justify"><?= __('Biggest hopes are that project will find its audience and acquire a reliable developer community.') ?></p>
            <p class="uk-text-default uk-text-justify"><?= __('In any case, project will develop.') ?></p>
        </div>
        <hr class="uk-divider-icon ang-margin10">

        <div class="uk-section ang-padding20">
            <h2 class="uk-heading-bullet uk-text-truncate"><?= __('Inspired by') ?> <a href="https://pagekit.com" target="_blank" style="text-decoration: underline !important;">Pagekit</a></h2>
            <span class="uk-badge">07.06.2021</span>
            <p class="uk-text-default uk-text-justify"><?= sprintf(__('Start %s development.'), '<span class="uk-text-success">Angiv CMF</span>') ?></p>
        </div>
    </div>
</div>