<div id="eltop"></div>

<?= $this->fetch('/guide/view/user/header.php') ?>

<div class="uk-section ang-padding-remove-bottom">
    <div class="uk-container">
        <div class="uk-position-top-left uk-visible@m" style="background: url('/angiv/plugin/guide/image/background.png') no-repeat 0% 0%; right: 0px; bottom: 0px; z-index: -1;"></div>
        <div uk-grid>
            <div class="uk-width-1-5@m">
                <ul id="guidetab" class="uk-flex-center uk-tab-left" uk-tab="connect: #tabcontent; animation: uk-animation-slide-left-medium, uk-animation-slide-right-medium, swiping: false;" uk-sticky="offset: 100; media: @l;">
                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-settings.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Installation') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Installation') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-server.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Directories') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Directories') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-code.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('My plugin') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('My plugin') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-database.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Database') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Database') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-sync.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Ajax-request') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Ajax-request') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-magic.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Widget') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Widget') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-users.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Authorization') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Authorization') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-briefcase.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Session') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Session') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-lock.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Csrf protection') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Csrf protection') ?>"></span>
                    </a></li>

                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-mail.svg" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Email') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Email') ?>"></span>
                    </a></li>

                    <!--
                    <li><a href="#" class="uk-position-relative">
                        <img src="/app/asset/image/theme/icon-inbox.svg" alt="" uk-svg />
                        <span class="ang-margin-left10 uk-visible@s"><?= __('Logging') ?></span>
                        <span class="uk-position-top-left uk-hidden@s" style="right: 0px; bottom: 0px;" uk-tooltip="<?= __('Logging') ?>"></span>
                    </a></li>
                    -->
                </ul>
            </div>

            <div class="uk-width-expand@m">
                <ul id="tabcontent" class="uk-switcher">
                    <li>
                        <h1 class="uk-text-center ang-margin-bottom-remove"><?= __('Installation') ?></h1>
                        <div class="uk-text-center ang-margin-bottom30">
                            <i class="ang-color-dark-orange uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= __('This is an Alpha release Angiv CMF') ?></i><br />
                        </div>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <?php if ($phpdatasite['locale'] == 'ru_RU') { ?>
                                <li>
                                    <div class="uk-text-lead">
                                        Возможный вариант быстрой установки локального веб-сервера - это <a href="https://ospanel.io" target="_blank">Open Server Panel</a>:
                                    </div>
                                    <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                        <img src="/angiv/plugin/guide/image/install.server.png" alt="Install server" />
                                    </div>
                                </li>
                                
                                <li>
                                    <div class="uk-text-lead">
                                        <a href="/angiv/storage/angiv_ru_comments.zip">Скачайте</a> архив со всеми файлами Angiv CMF и разархивируйте его в папку <span class="ang-color-orange">"c:\OpenServer\domains"</span>:
                                    </div>
                                    <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                        <img src="/angiv/plugin/guide/image/install.run.png" alt="Install run" />
                                    </div>
                                </li>
                            <?php } ?>

                            <li>
                                <div class="uk-text-lead">
                                    <?= __('Angiv CMF contains an automatic installation that will help quickly configure system.') ?>
                                    <?= sprintf(__('After installing you can delete folder %s'), '<span class="ang-color-orange">"\app\installer"</span>') ?>:
                                </div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/install.<?= $phpdatasite['locale'] ?>.jpg" alt="Install" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Angiv CMF configuration is stored in a file') ?> <span class="ang-color-orange">"\angiv\config\config.env"</span>:</div>
                                <div class="ang-panel ang-padding10 uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/config.<?= $phpdatasite['locale'] ?>.png" alt="Configuration" />
                                </div>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Directories') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Directory structure Angiv CMF') ?>:</div>
                                <pre><code class="language-bash">
┌── angiv/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User components Angiv CMF') . PHP_EOL ?>
│   ├── asset/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Static resources') . PHP_EOL ?>
│   │   ├── font/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Fonts') . PHP_EOL ?>
│   │   ├── image/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Images') . PHP_EOL ?>
│   │   ├── language/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Translations') . PHP_EOL ?>
│   │   └── lib/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User styles, scripts') . PHP_EOL ?>
│   ├── config/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Configuration') . PHP_EOL ?>
│   │   ├── config.env₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Angiv CMF configuration file') . PHP_EOL ?>
│   │   └── container.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('PHP-DI container configuration file') . PHP_EOL ?>
│   ├── helper/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User auxiliary functions') . PHP_EOL ?>
│   ├── middleware/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User Middleware') . PHP_EOL ?>
│   │
│   ├── plugin/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User plugins') . PHP_EOL ?>
│   │   └── .../₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Name plugin') . PHP_EOL ?>
│   │      ├── css/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Styles') . PHP_EOL ?>
│   │      ├── image/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Images') . PHP_EOL ?>
│   │      ├── js/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Scripts') . PHP_EOL ?>
│   │      ├── src/controller/₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Controllers') . PHP_EOL ?>
│   │      ├── view/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Views') . PHP_EOL ?>
│   │      ├── index.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Configuration file') . PHP_EOL ?>
│   │      ├── icon.png₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Icon file') . PHP_EOL ?>
│   │      └── scriptdatabase.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Database script') . PHP_EOL ?>
│   │
│   ├── storage/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('File storage') . PHP_EOL ?>
│   ├── theme/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Template') . PHP_EOL ?>
│   │   ├── css/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Styles') . PHP_EOL ?>
│   │   ├── js/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Scripts') . PHP_EOL ?>
│   │   ├── page/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Page 401, 403, 404') . PHP_EOL ?>
│   │   └── template.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Template page') . PHP_EOL ?>
│   └── tmp/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Temporary files (log, cache)') . PHP_EOL ?>
│       ├── cache/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Container compilation cache') . PHP_EOL ?>
│       ├── log/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Event logging') . PHP_EOL ?>
│       └── session/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('User sessions') . PHP_EOL ?>
│
│
├── app/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Angiv CMF system components - it is not recommended to change contents') . PHP_EOL ?>
│   ├── admin/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Control panel') . PHP_EOL ?>
│   │   ├── theme/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Template') . PHP_EOL ?>
│   │   │   ├── css/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Styles') . PHP_EOL ?>
│   │   │   ├── js/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Scripts') . PHP_EOL ?>
│   │   │   └── template.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Template page') . PHP_EOL ?>
│   │   ├── view/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Control panel pages') . PHP_EOL ?>
│   │   ├── route.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Primary processing') . PHP_EOL ?>
│   │   ├── routeauth.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Authorization processing') . PHP_EOL ?>
│   │   ├── routeadmin.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Control panel page processing') . PHP_EOL ?>
│   │   └── routeuser.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Processing site pages') . PHP_EOL ?>
│   ├── asset/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Static resources') . PHP_EOL ?>
│   │   ├── font/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Fonts') . PHP_EOL ?>
│   │   ├── image/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Images') . PHP_EOL ?>
│   │   └── lib/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('System styles, scripts') . PHP_EOL ?>
│   ├── config/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Configuration PHP-DI container') . PHP_EOL ?>
│   ├── helper/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Auxiliary functions') . PHP_EOL ?>
│   ├── installer/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Angiv CMF automatic installation plugin') . PHP_EOL ?>
│   ├── middleware/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Middleware') . PHP_EOL ?>
│   ├── response/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Auxiliary http-response') . PHP_EOL ?>
│   ├── vendor/₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Third-party management packages') . PHP_EOL ?>
│   └── bootstrap.php₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Bootstrap file') . PHP_EOL ?>
├── public/index.php₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Single entry point') . PHP_EOL ?>
├── .htaccess₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Apache redirect rules') . PHP_EOL ?>
├── composer.json₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Description third-party control packages') . PHP_EOL ?>
├── robots.txt₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Directives search robots') . PHP_EOL ?>
├── sitemap.xml₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Site map') . PHP_EOL ?>
└── favicon.ico₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋₋ <?= __('Angiv CMF icon file') . PHP_EOL ?>
</code></pre>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= __('Check out plugin examples in') ?> "\angiv\plugin"</i><br />
                            <i class="ang-color-grey"><?= sprintf(__('It is recommended to study documentation by following links on %s'), '<a href="/">' . __('main page') . '</a>') ?></i><br />
                            <i class="ang-color-grey"><?= sprintf(__('For API testing it is recommended to use %s or %s'), '<a style="text-decoration: underline !important;" href="https://www.postman.com" target="_blank">POSTMAN</a>', '<a style="text-decoration: underline !important;" href="https://install.advancedrestclient.com/install" target="_blank">ADVANCED REST CLIENT</a>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom-remove"><?= __('My plugin') ?></h1>
                        <div class="uk-text-center ang-margin-bottom30"><i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('In connection with future updates, do not make changes to system files %s folder'), '<span class="ang-color-orange">"app"</span>') ?></i></div>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead uk-text-justify"><?= sprintf(__('In %s create a folder by plugin name, for example, %s. Create a configuration file inside new folder %s and plugin icon file %s'), '<span class="ang-color-orange">"\angiv\plugin"</span>', '<span class="ang-color-orange">"twosliders"</span>', '<span class="ang-color-orange">"index.php"</span>', '<span class="ang-color-orange">"icon.png"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/twosliders.folder.png" alt="Two sliders folder" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Start filling out file %s'), '<span class="ang-color-orange">"index.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

return [
// --------------- <?= __('PLUGIN OPTIONS') ?> ---------------
    'name' => 'Two sliders', // <?= __('name') . PHP_EOL ?>
    'icon' => 'icon.png', // <?= __('icon') . PHP_EOL ?>
    'version' => 0.1, // <?= __('version') . PHP_EOL ?>
    //'tags' => ['nohome', 'alwaysuse', 'nodelete'], // <?= __('tags') . PHP_EOL ?>
];
</code></pre>
                                <div class="ang-margin-left40">
                                    <?= __('Parameter tags allows you to manage additional plugin settings.') ?>
                                    <div>- <?= sprintf(__('%s: plugin does not contain home page'), '<span class="uk-text-success">nohome</span>') ?></div>
                                    <div>- <?= sprintf(__('%s: plugin is always enabled'), '<span class="uk-text-success">alwaysuse</span>') ?></div>
                                    <div>- <?= sprintf(__('%s: plugin without the ability to delete via the control panel'), '<span class="uk-text-success">nodelete</span>') ?></div>
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead uk-text-justify"><?= sprintf(__('Open control panel. In navigation, select %s subsection. Click %s button. New plugin is displayed in system. Change its status. You have created your first plugin, but there are no pages in it yet'), '<span class="uk-text-success">"' . __('Plugins') . '"</span>', '<span class="uk-text-success">"' . __('Update') . '"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/twosliders.update.<?= $phpdatasite['locale'] ?>.png" alt="Two sliders update" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Add control panel page in file %s'), '<span class="ang-color-orange">"index.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

return [
</code><code class="language-markdown uk-padding-remove-bottom">// --------------- <?= __('PLUGIN OPTIONS') ?> ---------------
    'name' => 'Two sliders', // <?= __('name') . PHP_EOL ?>
    'icon' => 'icon.png', // <?= __('icon') . PHP_EOL ?>
    'version' => 0.1, // <?= __('version') . PHP_EOL ?>
    //'tags' => ['nohome', 'alwaysuse', 'nodelete'], // <?= __('tags') . PHP_EOL ?>
</code><code class="language-php uk-marpaddinggin-remove-top">// --------------- <?= __('CONTROL PANEL') ?> (ADMIN) ---------------
    'cssadmin' => [], // <?= __('plugin styles') . PHP_EOL ?>
    'jsadmin' => [], // <?= __('plugin scripts') . PHP_EOL ?>
    'ajaxadmin' => [], // <?= __('plugin ajax-requests') . PHP_EOL ?>
    'pagesadmin' => [ // <?= __('plugin pages') . PHP_EOL ?>
        // ----- <?= __('PAGE') ?> SLIDER -----
        [
            'title' => 'Page slider', // <?= __('page title') . PHP_EOL ?>
            'url' => 'adminpageslider', // <?= __('page url') . PHP_EOL ?>
            'controller' => 'src/controller/admin/pagesliderController.php', // <?= __('page controller') . PHP_EOL ?>
            'page' => 'view/admin/pageslider.php', // <?= __('page view') . PHP_EOL ?>
            'css' => [], // <?= __('page styles') . PHP_EOL ?>
            'js' => [] // <?= __('page scripts') . PHP_EOL ?>
        ],
    ]
];
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Create a control panel page controller, file %s'), '<span class="ang-color-orange">"\angiv\plugin\twosliders\src\controller\admin\pagesliderController.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

namespace Plugin\twosliders\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagesliderController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        // -----<?= __('data') . PHP_EOL ?>
        $phpdata=['slider1.jpg', 'slider2.jpg', 'slider3.jpg', 'slider4.jpg', 'slider5.jpg'];

        // -----<?= __('result') . PHP_EOL ?>
        $renderer=$this->container->get('viewadmin'); // <?= __('page layout') . PHP_EOL ?>
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]); // <?= __('page template') . PHP_EOL ?>
    }
}
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Create a view control panel page, file %s'), '<span class="ang-color-orange">"\angiv\plugin\twosliders\view\admin\pageslider.php"</span>') ?>:</div>
                                <pre><code class="language-html">&lt;div class="uk-container"&gt;
    &lt;div uk-slider&gt;
        &lt;ul class="uk-slider-items uk-child-width-1-2 uk-child-width-1-3@s uk-child-width-1-4@m uk-light"&gt;
            &lt;?php foreach ($phpdata ?? [] as $key =&gt; $item) { ?&gt;
                &lt;li class="uk-transition-toggle" tabindex="0"&gt;
                    &lt;img src="/angiv/plugin/twosliders/image/&lt;?= $item ?&gt;" alt=""&gt;
                    &lt;div class="uk-position-center uk-panel"&gt;&lt;h1 class="uk-transition-slide-bottom-small"&gt;&lt;?= __('Slide') . ' ' . ($key + 1) ?&gt;&lt;/h1&gt;&lt;/div&gt;
                &lt;/li&gt;
            &lt;?php } ?&gt;
        &lt;/ul&gt;
        &lt;ul class="uk-slider-nav uk-dotnav uk-flex-center uk-margin"&gt;&lt;/ul&gt;
    &lt;/div&gt;
&lt;/div&gt;
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead uk-text-justify">
                                    <?= sprintf(__('Copy image files to folder: %s.'), '<span class="ang-color-orange">"\angiv\plugin\twosliders\image\"</span>') ?>
                                    <?= sprintf(__('Add necessary php translations to file: %s.'), '<span class="ang-color-orange">"\angiv\asset\language\xx_XX\server.php"</span>') ?>
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Result') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/twosliders.result1.<?= $phpdatasite['locale'] ?>.png" alt="Two sliders result" />
                                </div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/twosliders.result2.<?= $phpdatasite['locale'] ?>.png" alt="Two sliders result" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Rules for declaring css-styles and js-scripts in file %s'), '<span class="ang-color-orange">"index.php"</span>') ?>:</div>
                                <pre><code class="language-php">'css' => [
    // -----<?= __('systemic') ?> css ("/system/" = "\app\asset\lib\")
    '/system/uikit/css/uikit.min.css',
    // -----<?= __('user') ?> css ("/custom/" = "\angiv\asset\lib\")
    '/custom/lightgallery/css/lightgallery.css',
    // -----css <?= __('given path') ?> (<?= __('if not') ?> '/system/', '/custom/' <?= __('and it starts with') ?> '/')
    '/test.css',
    // -----css <?= __('pages') ?> (<?= __('path') ?> - "\angiv\plugin\twosliders\")
    'css/user/test.css'
],
'js' => [
    // -----<?= __('systemic') ?> js ("/system/" = "\app\asset\lib\")
    '/system/jquery/jquery.min.js',
    // -----<?= __('user') ?> js ("/custom/" = "\angiv\asset\lib\")
    '/custom/lightgallery/js/lightgallery.min.js',
    // -----js <?= __('given path') ?> (<?= __('if not') ?> '/system/', '/custom/' <?= __('and it starts with') ?> '/')
    '/test.js',
    // -----js <?= __('pages') ?> (<?= __('path') ?> - "\angiv\plugin\twosliders\")
    'js/user/test.js'
]

<?= __('For example') . ':' . PHP_EOL ?>
'/system/uikit/css/uikit.min.css' - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css"&gt;
'/custom/lightgallery/css/lightgallery.css' - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/angiv/asset/lib/lightgallery/css/lightgallery.css"&gt;
'/test.css' - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/test.css"&gt;
'css/user/test.css' - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/angiv/plugin/hello/css/user/test.css"&gt;

'/system/jquery/jquery.min.js' - <?= __('converted to') ?> - &lt;script type="text/javascript" src="/app/asset/lib/jquery/jquery.min.js"&gt;&lt;/script&gt;
'/custom/lightgallery/js/lightgallery.min.js' - <?= __('converted to') ?> - &lt;script type="text/javascript" src="/angiv/asset/lib/lightgallery/js/lightgallery.min.js"&gt;&lt;/script&gt;
'/test.js' - <?= __('converted to') ?> - &lt;script type="text/javascript" src="/test.js"&gt;&lt;/script&gt;
'js/user/test.js' - <?= __('converted to') ?> - &lt;script type="text/javascript" src="/angiv/plugin/twosliders/js/user/test.js"&gt;&lt;/script&gt;
</code></pre>

                                <div class="uk-text-default"><?= __('Css-styles and js-scripts can be declared as an array') ?>:</div>
                                <pre><code class="language-html">&lt;!-- <?= __('array') ?> css --&gt;
['href' => 'test.css'] - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/angiv/plugin/hello/css/user/test.css"&gt;
['href' => '/system/uikit/css/uikit.min.css', 'attr' => 'async'] - <?= __('converted to') ?> - &lt;link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css" media="none" onload="if(media!='all'){media='all';this.onload=null;}"&gt;&lt;noscript&gt;&lt;link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css"&gt;&lt;/noscript&gt;

&lt;!-- <?= __('array') ?> js --&gt;
['src' => 'test.js'] - <?= __('converted to') ?> - &lt;script type="text/javascript" src="test.js"&gt;&lt;/script&gt;
['src' => 'test.js', 'attr' => 'defer'] - <?= __('converted to') ?> - &lt;script type="text/javascript src="test.js" defer&gt;&lt;/script&gt;
['src' => 'test.js', 'attr' => 'async'] - <?= __('converted to') ?> - &lt;script type="text/javascript src="test.js" async&gt;&lt;/script&gt;
['type' => 'module', 'src' => 'test.js'] - <?= __('converted to') ?> - &lt;script type="module" src="test.js"&gt;&lt;/script&gt;
['type' => 'module', 'src' => 'test.js', 'attr' => 'async'] - <?= __('converted to') ?> - &lt;script type="module" src="test.js" async&gt;&lt;/script&gt;
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead uk-text-justify"><?= sprintf(__('You can learn how to add a site page to %s file using example %s, %s, %s plugins'), '<span class="ang-color-orange">"index.php"</span>', '<span class="ang-color-orange">"twosliders"</span>', '<span class="ang-color-orange">"hello"</span>', '<span class="ang-color-orange">"guide"</span>') ?>.</div>
                            </li>

                            <li>
                                <div class="uk-text-lead uk-text-justify"><?= sprintf(__('Search engine optimization seo. For each page site %s, it is possible to specify seo settings in %s file'), '<u>(' . __('except for control panel pages') . ')</u>', '<span class="ang-color-orange">"index.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

return [
// --------------- <?= __('WEBSITE') ?> (USER) ---------------
    'cssuser' => [], // <?= __('plugin styles') . PHP_EOL ?>
    'jsuser' => [], // <?= __('plugin scripts') . PHP_EOL ?>
    'ajaxuser' => [], // <?= __('plugin ajax-requests') . PHP_EOL ?>
    'pagesuser' => [ // <?= __('plugin pages') . PHP_EOL ?>
        // ----- <?= __('PAGE') ?> SLIDER -----
        [
            'title' => 'Page slider', // <?= __('page title') . PHP_EOL ?>
            'url' => 'userpageslider', // <?= __('page url') . PHP_EOL ?>
            'controller' => 'src/controller/user/pagesliderController.php', // <?= __('page controller') . PHP_EOL ?>
            'page' => 'view/user/pageslider.php', // <?= __('page view') . PHP_EOL ?>
            'css' => [], // <?= __('page styles') . PHP_EOL ?>
            'js' => [], // <?= __('page scripts') . PHP_EOL ?>
            'seo' => [, // <?= __('search engine optimization') . PHP_EOL ?>
                'description' => '', // <?= __('description') . PHP_EOL ?>
                'keywords' => '', // <?= __('keywords') . PHP_EOL ?>
                'canonicalurl' => '', // <?= __('canonical url') . PHP_EOL ?>
            ],
            'ogseo' => [, // <?= __('open graph search engine optimization') . PHP_EOL ?>
                'ogsitename' => '', // <?= __('extended name') . PHP_EOL ?>
                'ogdescription' => '', // <?= __('description') . PHP_EOL ?>
                'ogtype' => '', // <?= __('content type') . PHP_EOL ?>
                'ogurl' => '', // <?= __('canonical url') . PHP_EOL ?>
                'ogimage' => '', // <?= __('image publication') . PHP_EOL ?>
            ]
        ],
    ]
];
</code></pre>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://medoo.in/" target="_blank">medoo php database framework</a>') ?></i><br />
                            <i class="ang-color-grey"><?= sprintf(__('An example is given in plugin %s'), '<span class="ang-color-orange">"\angiv\plugin\hello\src\controller\admin\pagedatabaseController.php"</span>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Database') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Configuring database connection in Angiv CMF') ?>:</div>
                                <div class="uk-text-default ang-margin-top20">1) <?= sprintf(__('In %s file, basic parameters database connection are configured'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center"><img src="/angiv/plugin/guide/image/config.bd.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" /></div>
                                <div class="uk-text-default ang-margin-top20">2) <?= sprintf(__('Additional parameters can be specified in %s file where database connection is initialized'), '<span class="ang-color-orange">"\angiv\config\container.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">&lt;?php
'database' => function (Container $container) {
    return (envbool('APP_DATABASE_USE') === true) ? ( // <?= __('if using a database') . PHP_EOL ?>
        new Medoo([
            'type' => 'mysql', // <?= __('database type') . PHP_EOL ?>
            'host' => env('APP_DATABASE_HOST', 'localhost'), // <?= __('server name or ip address') . PHP_EOL ?>
            'database' => env('APP_DATABASE_NAME', 'angiv'), // <?= __('database name') . PHP_EOL ?>
            'username' => env('APP_DATABASE_USER', 'username'), // <?= __('user name') . PHP_EOL ?>
            'password' => env('APP_DATABASE_PASSWORD', 'userpassword'), // <?= __('user password') . PHP_EOL ?>
            'prefix' => env('APP_DATABASE_PREFIX', 'ang_'), // <?= __('table prefix') . PHP_EOL ?>
            'charset' => 'utf8', // <?= __('encoding') . PHP_EOL ?>
            'error' => PDO::ERRMODE_EXCEPTION, // <?= __('type error handling') . '(https://medoo.in/api/error)' . PHP_EOL ?>
            //'logging' => true // <?= __('logging logging all sql queries') . PHP_EOL ?>
        ])
    ) : null;
}
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('In %s file, you can specify a special database script'), '<span class="ang-color-orange">"index.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

return [
// --------------- <?= __('PLUGIN OPTIONS') ?> ---------------
    'name' => 'Two sliders', // <?= __('name') . PHP_EOL ?>
    'icon' => 'icon.png', // <?= __('icon') . PHP_EOL ?>
    'version' => 0.1, // <?= __('version') . PHP_EOL ?>
    //'tags' => ['nohome', 'alwaysuse', 'nodelete'], // <?= __('tags') . PHP_EOL ?>
    'scriptdatabase' => 'scriptdatabase.php', // <?= __('Database script') . PHP_EOL ?>
</code></pre>

                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('Sample file %s'), '<span class="ang-color-orange">"scriptdatabase.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php

namespace Plugin\hello;

use Slim\Psr7\Response;
use App\response\customResponse;

class scriptdatabase
{
    // --------------- <?= __('DATABASE SCRIPT') ?> ---------------
    public static function executescriptdatabase(Response $response) {
        $res=false; $msg='';

        // --------------- <?= __('CREATING TABLE') ?> ---------------
        if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) { // <?= __('connecting to database') . PHP_EOL ?>
            $tablename=str_replace('"', '', $db->tableQuote('hello')); // <?= __('table name') . PHP_EOL ?>
            //$tablename=env('APP_DATABASE_PREFIX', 'ang_') . 'hello';
            if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() === false) { // <?= __('checking existence a table') . PHP_EOL ?>
                //$db->drop('hello');
                $db->create('hello', [
                    // -----<?= __('fields') . PHP_EOL ?>
                    'id' => ['integer', 'unsigned', 'auto_increment', 'not null', "comment 'id client'"],
                    'name' => ['varchar(255)', 'not null', 'collate utf8mb4_general_ci', "comment 'name client'"],
                    'age' => ['integer', 'unsigned', 'default null', "comment 'age client'"],
                    // -----<?= __('primary key') . PHP_EOL ?>
                    'primary key (...)',
                    // -----<?= __('unique indexes') . PHP_EOL ?>
                    'unique (...)',
                    // -----<?= __('indexes') . PHP_EOL ?>
                    'index (...)'
                ]);
                $res=true;
            } else {$msg=sprintf(__('Table "%s" already exists'), $tablename);}
        } else {$msg=__('Connection to database failed');}

        // -----<?= __('result') . PHP_EOL ?>
        return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
    }
}
</code></pre>

                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('To launch %s file, open control panel. In navigation, select %s subsection. Click %s icon'), '<span class="ang-color-orange">"scriptdatabase.php"</span>', '<span class="uk-text-success">"' . __('Plugins') . '"</span>', '<i class="uk-icon-button uk-link" uk-icon="bolt"></i>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center"><img src="/angiv/plugin/guide/image/script.bd.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" /></div>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://axios-http.com/docs/example" target="_blank">Axios</a>') ?></i><br />
                            <i class="ang-color-grey"><?= sprintf(__('An example is given in plugin %s'), '<span class="ang-color-orange">"\angiv\plugin\feedback"</span>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Ajax-request') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('The %s file contains a feedback form. Button for sending an ajax-request'), '<span class="ang-color-orange">"view\user\widgetfeedback.php"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/widgetfeedback.<?= $phpdatasite['locale'] ?>.png" alt="Widget feedback" />
                                </div>
                                <pre><code class="language-html">...
&lt;button class="ang-button ang-margin-left10" @click.prevent="sendmessage()"&gt;{{ $t('Send') }}&lt;/button&gt;
...
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('Sending ajax-request is implemented in the %s file'), '<span class="ang-color-orange">"js\user\widgetfeedback.js"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-javascript">sendmessage: function() {
    axios.post('/feedback/savemessagetext', {'messagetext': vm.messagetext})
        .then(function(response) {
            if (response.data.res === true) {
                //ajax-request successfully
            } else {
                //ajax-request warning
            }
        })
        .catch(function(error) {
            //ajax-request error
        });
},
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= sprintf(__('The %s file implements saving text message to database'), '<span class="ang-color-orange">"src\controller\user\ajaxwidgetController.php"</span>') ?>:</div>
                                <pre><code class="language-php">&lt;?php
    public static function savemessagetext(Request $request, Response $response) {
        $data=$request->getParsedBody();

        try {
            $res=false; $msg='';
            if (!empty($db=$GLOBALS['app']->getContainer()->get('database'))) {
                $tablename=str_replace('"', '', $db->tableQuote('feedback'));
                if ($db->query("SHOW TABLES LIKE '{$tablename}'")->fetchColumn() !== false) {
                    $phpjwtdata=null;
                    if (!empty($request->getAttribute('jwtdata'))) {
                        $phpjwtdata=$request->getAttribute('jwtdata');
                    } else {
                        if (isset($_COOKIE['accesstoken'])) {
                            $phpjwtdata=JWT::decode($_COOKIE['accesstoken'], new Key(env('APP_AUTH_SECRET', ''), 'HS256'));
                        }
                    }

                    if (!empty($phpjwtdata)) {
                        if (!empty($currentlogin=$phpjwtdata->data->authlogin)) {$data['petitioner']=strtolower($currentlogin);}
                    }

                    $db->insert('feedback', $data);

                    if (!$db->error) {$res=true;}
                } else {$msg=__('Connection to database failed');}
            } else {$msg=__('Connection to database failed');}

            return customResponse::json($response, ['res' => $res, 'msg' => $msg]);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
</code></pre>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Widget') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Widget view') ?>:</div>
                                <div class="uk-text-default"><span class="ang-color-orange">"\plugin\hello\view\user\widgetuikit.php"</span> <?= __('or') ?> <span class="ang-color-orange">"\plugin\feedback\view\user\widgetfeedback.php"</span></div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Widget script') ?>:</div>
                                <div class="uk-text-default"><span class="ang-color-orange">"\plugin\hello\js\user\widgetuikit.js"</span> <?= __('or') ?> <span class="ang-color-orange">"\plugin\feedback\js\user\widgetfeedback.js"</span></div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Widget styles') ?>:</div>
                                <div class="uk-text-default"><span class="ang-color-orange">"\plugin\hello\css\user\widgetuikit.css"</span> <?= __('or') ?> <span class="ang-color-orange">"\plugin\feedback\css\user\widgetfeedback.css"</span></div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Initializing widget on plugin page') ?>:</div>
                                <div class="uk-text-default ang-color-orange">"\plugin\hello\view\user\pageuikit.php"</div>
                                <pre><code class="language-php">...
&lt;?= $this->fetch('/hello/view/user/widgetuikit.php') ?&gt;
</code></pre>
                                <div class="uk-text-default ang-color-orange">"\plugin\guide\view\user\pagecomplicity.php"</div>
                                <pre><code class="language-php">...
&lt;?= $this->fetch('/feedback/view/user/widgetfeedback.php') ?&gt;
</code></pre>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://github.com/tuupola/slim-jwt-auth" target="_blank">tuupola slim jwt authentication</a>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Authorization') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Authorization application') ?>:</div>
                                <div class="uk-text-default ang-margin-top20">1) <?= sprintf(__('Authorization parameters are configured in %s file'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/config.auth.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" />
                                </div>
                                <div class="ang-margin-left40">
                                    <div>- <?= sprintf(__('url authorization page: %s'), '<span class="uk-text-success">"https://'. __('domain name') . '/auth/welcome"</span>') ?></div>
                                    <div>- <?= sprintf(__('login') . ': %s', '<span class="uk-text-success">admin</span>') ?></div>
                                    <div>- <?= sprintf(__('password') . ': %s', '<span class="uk-text-success">admin</span>') ?></div>
                                    <div>- <?= sprintf(__('login') . ': %s', '<span class="uk-text-success">guest</span>') ?></div>
                                    <div>- <?= sprintf(__('password') . ': %s', '<span class="uk-text-success">qwerty</span>') ?></div>
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Implementation authorization in Angiv CMF (for reference)') ?>:</div>
                                <div class="uk-text-default ang-margin-top20">1) <?= sprintf(__('Initialization authorization: %s, %s, %s, %s'), '<span class="ang-color-orange">"\angiv\app\config\container.php"</span>', '<span class="ang-color-orange">"\angiv\app\admin\route.php"</span>', '<span class="ang-color-orange">"\app\admin\routeadmin.php"</span>', '<span class="ang-color-orange">"\app\admin\routeuser.php"</span>') ?>;</div>
                                <div class="uk-text-default ang-margin-top20">2) <?= sprintf(__('Authorization page controller: %s'), '<span class="ang-color-orange">"\angiv\app\admin\routeauth.php"</span>') ?>;</div>
                                <div class="uk-text-default ang-margin-top20">3) <?= sprintf(__('Authorization page: %s'), '<span class="ang-color-orange">"\angiv\plugin\auth\view\user\pageauth.php"</span>') ?>;</div>
                                <div class="uk-text-default ang-margin-top20">4) <?= sprintf(__('Ajax-request controller authorization page (checking username and password, saving token in cookies): %s'), '<span class="ang-color-orange">"\angiv\plugin\auth\src\controller\ajaxauthController.php"</span>') ?>;</div>
                                <div class="uk-text-default ang-margin-top20">5) <?= sprintf(__('Access denial processing page: %s'), '<span class="ang-color-orange">"\angiv\theme\page\401.php"</span>') ?>.</div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Adding user') ?>:</div>
                                <div class="uk-text-default ang-margin-top20">1) <?= sprintf(__('Add a new user %s to %s file and manually create a password using (%s)'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>', '<span class="uk-text-success">newuser</span>', '<a href="https://phppasswordhash.com/" target="_blank">phppasswordhash</a>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/config.auth.newuser.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" />
                                </div>
                                <div class="uk-text-default ang-margin-top20">2) <?= sprintf(__('Open control panel. In navigation, select %s subsection. Check result adding a new user'), '<span class="uk-text-success">"' . __('Users') . '"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/controlpanel.users.<?= $phpdatasite['locale'] ?>.png" alt="Users" />
                                </div>
                                <div class="uk-text-default ang-margin-top20">3) <?= sprintf(__('A new user can be added to database. If a database connection is configured, then %s button will be available on %s page'), '<span class="uk-text-success">"' . __('Users') . '"</span>', '<span class="uk-text-success">"' . __('Add') . '"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/controlpanel.users.add.<?= $phpdatasite['locale'] ?>.png" alt="Users" />
                                </div>
                                <div class="ang-margin-left40">
                                    <div><?= sprintf(__('User management is implemented in %s plugin, which you can always change to meet your own requirements'), '<span class="ang-color-orange">"\angiv\plugin\users\"</span>') ?>.</div>
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Adding permission') ?>:</div>
                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('In %s file, create a new permission or assign user %s to existing permission'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>', '<span class="uk-text-success">newuser</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/config.auth.perm.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Applying permissions') ?>:</div>

                                <div class="uk-text-default ang-margin-top20">1.1) <?= sprintf(__('To restrict access to site page: open plugin configuration file, for example %s and add access parameter to pagesuser section'), '<span class="ang-color-orange">"\angiv\plugin\hello\index.php"</span>') ?>.</div>
                                <div class="uk-text-default"><?= sprintf(__('In access parameter, specify reserved value auth (access is allowed only to authorized users) or name role from %s file'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>') ?>.</div>
                                <div class="uk-text-default"><?= __('If access parameter is not specified, then site page will be available to all users') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">'pagesadmin' => [
        [
            'title' => 'Page vue',
            'url' => 'adminpagevue',
            'controller' => 'src/controller/user/pageuikitController.php',
            'page' => 'view/user/pageuikit.php',
            //'access' => ['auth', 'hello_page_view'],
            'css' => [],
            'js' => []
        ],
</code></pre>

                                <div class="uk-text-default">1.2) <?= sprintf(__('To restrict access to ajax-request site: open ajax-request controller plugin. Add access parameter to @route annotation corresponding ajax-request, an example %s file'), '<span class="ang-color-orange">"\angiv\plugin\hello\src\controller\user\ajaxuserController.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">class ajaxuserController
{
    /**
     * @route({"url": "getusertext[/{id}]", "methods": ["post"], "csrf": true, "access": ["hello_ajax_exec"]})
     */
    public static function getusertext(Request $request, Response $response, $id = '') {
        $params=$request->getQueryParams();
        $data=$request->getParsedBody();

        try {
            //$container=$GLOBALS['app']->getContainer();
            $res=['res' => true, 'text user' => __('Example text'), 'id' => $id, 'params' => $params, 'data' => $data];
            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}
</code></pre>

                                <div class="uk-text-default"><?= __('Please note that access to pages and ajax-requests control panel is allowed only to authorized users with role APP_PERM_ROLE_control_panel') ?>.</div>

                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('If access is restricted to user, then redirection to %s page will be performed'), '<span class="ang-color-orange">"\angiv\theme\page\403.php"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/page.403.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" />
                                </div>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Blocking by ip-address') ?>:</div>
                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('In %s file, fill in list allowed and prohibited ip-addresses'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-align-center uk-text-center">
                                    <img src="/angiv/plugin/guide/image/config.perm.ip.<?= $phpdatasite['locale'] ?>.png" alt="Blocking by ip-address" />
                                </div>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://github.com/akrabat/rka-slim-session-middleware" target="_blank">RKA Slim Session Middleware</a>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom-remove"><?= __('Session') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Session setup') ?>:</div>
                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('Session parameters are configured in %s file'), '<span class="ang-color-orange">"\angiv\config\container.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">&lt;?php
'session' => function () {
    $session=new SessionMiddleware([
        'name' => 'sessiondata', // <?= __('session name') . PHP_EOL ?>
        'lifetime' => 31536000, // <?= __('cookie expiration time (0 - when browser is closed)') . PHP_EOL ?>
        'path' => '/', // <?= __('url from which cookies will be accessed') . PHP_EOL ?>
        //'domain' => 'angiv', // <?= __('domain that cookie belongs to') . PHP_EOL ?>
        'httponly' => true, // <?= __('blocking access for client scripts') . PHP_EOL ?>
        'secure' => true, // <?= __('sending via https only') . PHP_EOL ?>
        'cache_limiter' => 'nocache' // <?= __('caching mode') . PHP_EOL ?>
    ]);
    $session->start();
    return $session;
},
</code></pre>
                                <div class="ang-margin-left40">
                                    <?= sprintf(__('User session files are stored in %s folder'), '<span class="ang-color-orange">"\angiv\tmp\session"</span>') ?>
                                </div>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://github.com/slimphp/Slim-Csrf" target="_blank">' . __('Slim Framework CSRF Protection') . '</a>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Csrf protection') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Application csrf protection') ?>:</div>

                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('To manage csrf required ajax-request site, open ajax-request controller site corresponding plugin. Add %s parameter to @route annotation, sample file %s'), '<span class="uk-text-success">"csrf": true</span>', '<span class="ang-color-orange">"\angiv\plugin\hello\src\controller\user\ajaxuserController.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">&lt;?php

namespace Plugin\hello\src\controller\user;

use Slim\Psr7\{
    Request,
    Response
};
use App\response\customResponse;

class ajaxuserController
{
    /**
     * @route({"url": "getusertext[/{id}]", "methods": ["post"], "csrf": true, "access": ["hello_ajax_exec"]})
     */
    public static function getusertext(Request $request, Response $response, $id = '') {
        $params=$request->getQueryParams();
        $data=$request->getParsedBody();

        try {
            //$container=$GLOBALS['app']->getContainer();
            $res=['res' => true, 'text user' => __('Example text'), 'id' => $id, 'params' => $params, 'data' => $data];
            return customResponse::json($response, $res);
        } catch (\Exception $e) {
            return customResponse::abort($e->getMessage(), $request);
        }
    }
}
</code></pre>
                            </li>

                            <li>
                                <div class="uk-text-lead"><?= __('Implementation csrf protection in Angiv CMF (for reference)') ?>:</div>

                                <div class="uk-text-default ang-margin-top20">1) <?= sprintf(__('%s function %s file is used for initial creation and transfer csrf to page template'), '<span class="uk-text-success">$pagereg</span>', '<span class="ang-color-orange">"\app\admin\route.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">$pagereg = function ($plugin, $page, $view) use ($app, $container) {
    ...
    // -----<?= __('middleware') . PHP_EOL ?>
    $route->add($container->get('csrf')); // 3) <?= __('csrf protection') . PHP_EOL ?>
    ...
    $route->add(new rendererMiddleware($container, $view, $plugin, $page)); // 4) <?= __('preliminary rendering template') . PHP_EOL ?>
};
</code></pre>

                                <div class="uk-text-default ang-margin-top20">2) <?= sprintf(__('Csrf protection is enabled in %s file'), '<span class="ang-color-orange">"\angiv\app\admin\routeuser.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">...
if ($method['csrf'] === true) {$route->add($container->get('csrf'));}
...
</code></pre>

                                <div class="uk-text-default ang-margin-top20">3) <?= sprintf(__('Created %s is transferred to site page template using template %s pre-rendering middleware'), '<span class="uk-text-success">' . __('csrf-token') . '</span>', '<span class="ang-color-orange">"\app\middleware\rendererMiddleware.php"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-php">public function __invoke(Request $request, RequestHandler $handler) {
    ...
    // -----csrf
    $phpcsrf=(!empty($request) ? $request->getAttribute('csrf_name', '') . '|' . $request->getAttribute('csrf_value', '') : '|'); // <?= __('getting csrf') . PHP_EOL ?>
    $renderer->addAttribute('phpcsrf', '"' . (($phpcsrf == '|') ? '' : $phpcsrf) . '"');
    ...
}
</code></pre>

                                <div class="uk-text-default ang-margin-top20">4) <?= sprintf(__('%s site page template uses %s javascript-variable to store csrf'), '<span class="ang-color-orange">"\angiv\theme\template.php"</span>', '<span class="uk-text-success">window.$csrf</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-html">&lt;head&gt;
    ...
    &lt;script&gt;window.$csrf=&lt;?= $phpcsrf ?&gt;;&lt;/script&gt;
    &lt;script type="text/javascript" src="/app/asset/lib/axios/axios.min.js"&gt;&lt;/script&gt;
    &lt;script type="text/javascript" src="/app/asset/lib/axios/axios-advanced.js"&gt;&lt;/script&gt;
    ...
&lt;/head&gt;
</code></pre>

                                <div class="uk-text-default ang-margin-top20">5) <?= sprintf(__('%s file implements synchronization csrf and server request/response header parameter'), '<span class="ang-color-orange">"\app\asset\lib\axios\axios-advanced.js"</span>') ?>:</div>
                                <pre class="ang-margin-top20"><code class="language-javascript">// --------------- <?= __('REQUEST INTERCEPTION') ?> ---------------
axios.interceptors.request.use(function (request) {
    if (!!window.$csrf) {request['headers']['csrf']=window.$csrf;} // <?= __('csrf transmission') . PHP_EOL ?>
});
// --------------- <?= __('INTERCEPTION RESPONSE') ?> ---------------
axios.interceptors.response.use(
    function (response) {
        ...
        if (!!response['headers']['csrf']) {window.$csrf=response['headers']['csrf'];} // <?= __('getting (updating) csrf') . PHP_EOL ?>
        ...
    },
    function (error) {
        ...
        if (!!error.response.data.csrf) {window.$csrf=error.response.data.csrf;} // <?= __('getting (updating) csrf') . PHP_EOL ?>
        ...
    }
);
</code></pre>

                                <div class="uk-text-default ang-margin-top20">6) <?= __('Files related to csrf work') ?>:</div>
                                <div class="ang-margin-left40">
                                    <div class="ang-color-orange">"\app\asset\lib\axios\axios-advanced.js"</div>
                                    <div class="ang-color-orange">"\app\response\customResponse.php"</div>
                                    <div class="ang-color-orange">"\app\vendor\slim\csrf\src\Guard.php"</div>
                                    <div class="ang-color-orange">"\app\vendor\slim\slim\Slim\Error\Renderers\JsonErrorRenderer.php"</div>
                                    <div class="ang-color-orange">"\app\bootstrap.php"</div>
                                    <br />
                                    <div class="ang-color-orange">"\angiv\plugin\auth\view\user\pageauth.php"</div>
                                    <div class="ang-color-orange">"\app\config\container.php"</div>
                                    <div class="ang-color-orange">"\app\admin\route.php"</div>
                                    <div class="ang-color-orange">"\app\admin\routeadmin.php"</div>
                                    <div class="ang-color-orange">"\app\admin\routeauth.php"</div>
                                    <div class="ang-color-orange">"\app\admin\routeuser.php"</div>
                                    <div class="ang-color-orange">"\app\helper\functions.php"</div>
                                    <div class="ang-color-orange">"\app\middleware\rendererMiddleware.php"</div>
                                    <div class="ang-color-orange">"\angiv\theme\template.php"</div>
                                    <div class="ang-color-orange">"\app\admin\theme\template.php"</div>
                                </div>
                            </li>
                        </ul>
                    </li>

                    <li>
                        <div class="uk-text-center" style="font-size: 12px;">
                            <i class="ang-color-php-green uk-text-uppercase"><i class="ang-margin-right3" uk-icon="bolt"></i><?= sprintf(__('It is recommended to study documentation %s'), '<a style="text-decoration: underline !important;" href="https://symfony.com/doc/current/mailer.html" target="_blank">Symfony Mailer</a>') ?></i><br />
                            <i class="ang-color-grey"><?= sprintf(__('An example is given in plugin %s'), '<span class="ang-color-orange">"\angiv\plugin\hello\src\controller\admin\ajaxadminController.php"</span>') ?></i>
                        </div>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Email') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Working with mail') ?></div>
                                <div class="uk-text-default ang-margin-top20"><?= sprintf(__('In %s file, parameters for working with mail are configured'), '<span class="ang-color-orange">"\angiv\config\config.env"</span>') ?>:</div>
                                <div class="ang-panel ang-padding10 uk-width-2-3@l uk-align-center uk-text-center"><img src="/angiv/plugin/guide/image/config.mail.<?= $phpdatasite['locale'] ?>.png" alt="Configuration database" /></div>
                            </li>
                        </ul>
                    </li>

                    <!--
                    <li>
                        <h1 class="uk-text-center ang-margin-bottom30"><?= __('Logging') ?></h1>
                        <hr class="uk-divider-icon">
                        <ul class="uk-list ang-padding30 ang-padding-top-remove">
                            <li>
                                <div class="uk-text-lead"><?= __('Title 1') ?></div>
                                <div class="uk-text-default ang-margin-top20">1) <?= __('Text 1') ?>:</div>
                            </li>
                            <li>
                                <div class="uk-text-lead"><?= __('Title 2') ?></div>
                                <div class="uk-text-default ang-margin-top20">1) <?= __('Text 2') ?>:</div>
                            </li>
                        </ul>
                    </li>
                    -->
                </ul>
            </div>
        </div>
    </div>
</div>