<?php

namespace Plugin\hello\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagemailController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phptext=[
            'title' => __('Email'),
            'description' => __('Send a test email'),
            'tip' => __('Enter recipient email address')
        ];

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phptext' => $phptext]);
    }
}