<?php

return [
    'name' => 'Two sliders',
    'icon' => 'icon.png',
    'version' => 0.1,

    'pagesadmin' => [
        [
            'title' => 'Page slider',
            'url' => 'adminpageslider',
            'controller' => 'src/controller/admin/pagesliderController.php',
            'page' => 'view/admin/pageslider.php'
        ]
    ],

    'pagesuser' => [
        [
            'title' => 'Page slider',
            'url' => 'userpageslider',
            'controller' => 'src/controller/user/pagesliderController.php',
            'page' => 'view/user/pageslider.php',
            'css' => [
                ['href' => '/system/uikit/css/uikit.min.css', 'attr' => 'async']
            ],
            'js' => [
                '/system/uikit/js/uikit.min.js'
            ],
            'seo' => [
                'description' => 'Image gallery Angiv cmf',
                'keywords' => 'angiv, cmf, angiv cmf, example image slider',
                'canonicalurl' => 'https://angiv.ru/userpageslider'
            ],
            'ogseo' => [
                'ogsitename' => 'Angiv cmf exaple of slideshow',
                'ogdescription' => 'Image gallery Angiv cmf',
                'ogtype' => 'website',
                'ogurl' => 'https://angiv.ru/userpageslider',
                'ogimage' => 'https://angiv.ru/app/asset/image/theme/logo.contrast.png'
            ]
        ]
    ]
];