<?php

namespace Plugin\twosliders\src\controller\admin;

use Slim\Psr7\{
    Request,
    Response
};
use DI\Container;

class pagesliderController
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container=$container;
    }

    public function __invoke(Request $request, Response $response) {
        $phpdata=['slider1.jpg', 'slider2.jpg', 'slider3.jpg', 'slider4.jpg', 'slider5.jpg'];

        $renderer=$this->container->get('viewadmin');
        return $renderer->render($response, $renderer->getAttribute('currentpage'), ['phpdata' => $phpdata]);
    }
}