<!DOCTYPE html>
<html>
<head>
    <link href="/favicon.ico" rel="shortcut icon" type="image/x-icon">
    <title><?= $title ?></title>
    <meta charset="utf-8">

    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/uikit/css/uikit-advanced.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/animate/css/animate.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast.min.css">
    <link rel="stylesheet" type="text/css" href="/app/asset/lib/izitoast/css/izitoast-advanced.css">
    <link rel="stylesheet" type="text/css" href="/app/installer/css/index.css">

    <script>window.$csrf=<?= $phpcsrf ?>;</script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue.global.prod.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue-router.global.prod.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue3-sfc-loader.js"></script>
    <script type="text/javascript" src="/app/asset/lib/vue/vue-i18n.global.prod.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/axios/axios-advanced.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/uikit/js/uikit-icons.min.js"></script>
    <script type="text/javascript" src="/app/asset/lib/animate/js/animate.js"></script>
    <script type="text/javascript" src="/app/asset/lib/izitoast/js/izitoast.min.js"></script>
    <script type="module" src="/app/installer/js/index.js"></script>
</head>
<body>
    <div id="installer" class="uk-background-fixed uk-background-cover uk-height-viewport uk-overflow-hidden ang-padding30" data-src="/app/installer/asset/image/background.jpg" uk-img>
        <div class="uk-text-center"><img src="/app/asset/image/theme/logo.png" alt="Angiv" /></div>

        <div class="uk-flex uk-flex-center uk-flex-middle ang-margin-top30">
            <router-view v-slot="{Component, route}" v-model:configenv="configenv">
                <transition mode="out-in"
                    :enter-active-class="'animate__animated ' + ($route.path == '/' ? 'animate__flipInY' : 'animate__jackInTheBox')"
                    leave-active-class="animate__animated animate__bounceOut">
                    <keep-alive>
                        <component :is="Component" :key="$route.path"></component>
                    </keep-alive>
                </transition>
            </router-view>
        </div>
    </div>

    <div id="wait"></div>

    <script>
        var jsdata=<?= json_encode($phpdata, JSON_UNESCAPED_SLASHES | JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE/* | JSON_NUMERIC_CHECK*/ | JSON_PRESERVE_ZERO_FRACTION) ?>;
    </script>
</body>
</html>